#
# spec file for package mod_dav (Version 1.0.2)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel autoconf automake mm
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim apache apache-devel autoconf automake binutils cracklib gcc gdbm gettext libtool libz mm pam perl rpm

Name:         mod_dav
%define apache_mmn        %(MMN=$(apxs -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_serverroot %(apxs -q PREFIX)
Version:      1.0.2
Release:      462
Copyright:    BSD type, 1998-2000 Greg Stein
Group:        Networking/Daemons
Provides:     mod_dav dav libdav
Requires:     apache  %{apache_mmn}
Autoreqprov:  on
Summary:      Web-based Distributed Authoring and Versioning
Url:          http://www.webdav.org/mod_dav/
Icon:         mod_dav.xpm
Source0:      mod_dav-%{version}-1.3.6.tar.gz
Patch0:       mod_dav-%{version}-1.3.6.dif

%description
mod_dav is an Apache module to provide DAV capabilities for your
Apache web server. It is an Open Source module, provided under an
Apache-style license.


mod_dav currently implements a Class 1 and Class 2 DAV server. This
means that it provides all the basic DAV facilities for manipulating
resources (files) on the target web server, along with manipulating
properties on those resources. In addition, it handles the (un)locking
of resources so that clients can have exclusive access to modify
resources.

Authors:
--------
    Greg Stein <gstein@lyra.org>

SuSE series: n

%prep
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_includedir %(apxs -q INCLUDEDIR)
%setup -n mod_dav-%{version}-1.3.6
%patch
autoconf;
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-apxs=%{_sbindir}/apxs %{_target_cpu}-suse-linux-gnu

%build
make

%install
make install ;
install -m 644 mod_dav.h %{apache_includedir}
strip %{apache_libexecdir}/libdav*
echo "#" > apache.rc.config
echo "# enable the WebDAV module (yes|no)" >> apache.rc.config
echo "#" >> apache.rc.config
echo "HTTPD_SEC_MOD_DAV=no" >> apache.rc.config
echo ""  >> apache.rc.config
echo -e "Variable:HTTPD_SEC_MOD_DAV\nText:WebDAV\nLoadModule: LoadModule dav_module %{apache_libexecdir}/libdav.so\nAddModule: AddModule mod_dav.c\n" \
        > %{apache_sysconfdir}/modules/%{name}
install -m 644 apache.rc.config %{_var}/adm/fillup-templates/apache-%{name}.rc.config
echo -e "LoadModule dav_module %{apache_libexecdir}/libdav.so\n" > %{apache_sysconfdir}/suse_loadmodule.conf
echo -e "AddModule mod_dav.c\n" > %{apache_sysconfdir}/suse_addmodule.conf
%{_sbindir}/httpd -t         || exit 1
%{_sbindir}/httpd -t -D DAV  || exit 1
cat %{apache_sysconfdir}/httpd.conf | sed -e "s+DAV Off+DAV On+" > ./httpd.conf.DAV
%{_sbindir}/httpd -t -D DAV -f `pwd`/httpd.conf.DAV

%post
echo -n "Updating etc/rc.config.d/apache.rc.config..."
if [ -x bin/fillup ] ; then
        test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
        bin/fillup -q -d = etc/rc.config.d/apache.rc.config var/adm/fillup-templates/apache-%{name}.rc.config
        echo " Done."
else
        echo
        echo "ERROR: fillup not found. This should not happen. Please compare"
        echo "etc/rc.config.d/apache.rc.config and "
        echo "var/adm/fillup-templates/apache-%{name}.rc.config and update by hand."
fi

%files
%doc README INSTAL* CHANGES LICE*
%{apache_libexecdir}/libdav.so
%{apache_includedir}/mod_dav.h
%{apache_sysconfdir}/modules/%{name}
%{_var}/adm/fillup-templates/apache-%{name}.rc.config

%changelog -n mod_dav
* Sat Jul 20 2002 - poeml@suse.de
- detect the module magic number if provided by apache, indicating
  API changes, and add an RPM Require on it
- remove hard RPM dependancy on Apache's %%{release} tag
* Wed Apr 04 2001 - rolf@suse.de
- fixed detection of Apache version via RPM
* Tue Mar 27 2001 - rolf@suse.de
- modifications to meet new apache module configuration
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Oct 25 2000 - rolf@suse.de
- bugfix release 1.0.2 which comes with included IPv6 patches
* Tue Oct 10 2000 - rolf@suse.de
- update to 1.0.1
- make mod_dav IPv6 compatible, just one line of patch
* Tue Jun 20 2000 - rolf@suse.de
- update to 1.0.0
* Mon May 22 2000 - rolf@suse.de
- update to 0.9.17
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Thu Dec 23 1999 - rolf@suse.de
- new version 0.9.14
* Sat Nov 27 1999 - rolf@suse.de
- extracted mod:dav from apache SRPM
- new version 0.9.13
